Agent Tools

Agents that publish an A2A /.well-known/agent-card.json — 5775 discovered and health-probed.

Add your agent

Discovered from public A2A sources — awesome-a2a lists, agent directories and self-published /.well-known/agent-card.json cards — plus our own crawling. Every agent is de-duplicated and liveness-probed (card + endpoint reachability) before listing — yielding 5775 indexed agents, 4819 currently healthy.

Agents indexed
5775 agents
4979 domains
public agent cards · +450 this week
Healthy
4819 agents
4257 domains
card reachable < 6 h
Conformant
4006 agents
3540 domains
valid card + skills
x402-capable
455 agents
453 domains
accepts x402 payment

Top rated

by quality score · health · trust signals
# Tool Grade Score
1 Afterwren by CyberMax
Paid API keys from $19/month (Builder: 25,000 calls a month); free tier 100 calls a day per IP with no key. Buy: https://afterwren.cybermaxtools.com/buy/builder?s=lead · all plans: https://afterwren.cybermaxtools.com/docs#pricing. Drop-in replacements for retired developer APIs: Clearbit Autocomplete (same [{name, domain, logo}] shape), Clearbit Logo, a public-data company profile from a domain, forward and reverse geocoding (US Census with county/tract/block FIPS, OpenStreetMap worldwide), Goodreads-style book search (Open Library) and Wikipedia search. REST + remote MCP server.
A 10.00
2 Shiftmoor by CyberMax
Website change monitor API: watch public web pages (competitors, suppliers, policies, job and tender pages) and get every change, lines added and removed or a keyword appearing, by webhook and RSS/JSON feed. Free for 3 pages; Starter $4.99/month for 25.
A 10.00
3 Pricewick by CyberMax
Competitor price and stock monitor API: track product pages on shops that publish their price in structured data (schema.org, Open Graph or microdata) and get every price and stock change by webhook and RSS/JSON feed. Free for 5 products; Seller $9.99/month for 50.
A 10.00
4 Citewren by CyberMax
AI search readiness check API: scores a website on what AI crawlers and answer engines need (AI crawler rules in robots.txt, llms.txt, schema.org JSON-LD, sitemap, Open Graph, basics) and lists the issues. Free: 3 checks a day; a Pro key adds fixes, a 15-page crawl, a ready llms.txt draft and weekly monitoring.
A 10.00
5 Awardtide Recompete Radar by CyberMax
Federal contract recompete radar API: US government contracts (USAspending.gov, $1M+) that end within 12 months, filtered by NAICS code, agency, state, value and set-aside. Free: count + first 10 matches per filter; a Radar Pro key returns every row, saved filters and weekly RSS/JSON/CSV alert feeds.
A 10.00
6 Apuchat
Walkie-talkie hub for AI agents. Lets two or more agents on different machines talk to each other in real time over a hosted MCP / REST / A2A server. Open channels by callsign or by index, broadcast, request rooms, offline DM delivery.
A 10.00
7 Tasklix
The shared task board your autonomous agent fleet can read and write. Agents register, create and claim tasks from a shared queue, hand off work to siblings, and pause for human approval before consequential actions.
A 10.00
8 BlockRun
BlockRun is the routing and payment layer for AI. One OpenAI-compatible endpoint routes to 88 LLMs plus image, video, music and speech generation, web search, prediction-market and on-chain data, and multi-chain RPC. Every paid call is billed per request in USDC over x402 on Solana (Solana) — no API keys, no accounts, no subscriptions; read the price off the 402 and retry with a signed X-PAYMENT header. Open-weight chat models are free and need no wallet.
A 10.00
9 Helius for Agents
Helius is the Solana toolkit for AI agents. It provides an MCP server with 60+ Solana operations, a CLI with 95+ commands, a Claude Code plugin, TypeScript/Rust SDKs, and Skills for building on Solana. Agents can read accounts, parse and send transactions, manage tokens and NFTs, stream real-time blockchain data, configure webhooks, and programmatically obtain Helius API keys via an on-chain USDC payment on Solana mainnet.
A 10.00
10 FXMacroData
Macroeconomic and FX data agent. Provides central-bank indicator time series, FX spot rates, CFTC COT positioning, commodity prices, release calendars, and live FX market session data. USD announcement indicators are public; non-USD announcements, COT, and commodities require an API key.
A 10.00

All A2A agents

Crawled from awesome-a2a directories · refreshed daily.

/api/v1/a2a/stats

Access model — Open: callable with no credentials · Human key: a person must provision an API key/OAuth first · Agent-pays: agent settles each call on-chain (x402)

“Agent Margin Router” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.

“agentsvc.io” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • 20 utility tools for AI agents via x402 USDC micropayments on Base. Tools: `ip-lookup`, `dns-lookup`, `qr-code`, `exchange-rates`, `email-validate`, `ssl-check`, `phone-validate`, `weather`, `translate`, `whois`, `crypto-prices`, `stock-prices`, `geocode`, `web-search`, `news-search`, `pdf-extract`, `screenshot`, `webpage-reader`, `html-to-pdf`, `ocr`. $0.001–$0.008 USDC per call. No API keys, no signup. Auto-discovery: [/.well-known/agent-services.json](https://agentsvc.io/.well-known/agent-services.json) | [Catalog](https://agentsvc.io/api/v1/services) | [OpenAPI](https://agentsvc.io/api/openapi.json) | [MCP Server](https://agentsvc.io/mcp-server.mjs) | ([GitHub](https://github.com/jakobautomation/agentsvc-mcp))

  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

  • Pay-per-call web services for AI agents (27 tools: scraping, screenshots, PDF, OCR, search, news, weather, prices, validation, codes). Paid per request with USDC on Base via x402. No account or API key.

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

  • 126 pay-per-call agent tools via x402: web, crypto safety, agent memory and inbox, API finder

“Annalist” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“AttestPage (Quoteproof)” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“CF Package Check” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Duvo” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Build, run, and monitor autonomous AI agents that execute real work.

  • Duvo grounds operational outcomes in reviewed process evidence and supports approved cross-system execution with agents, queues, approvals, files, webhooks, and MCP.

“Emboss” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.

  • Make any PDF form fillable, fill it from data or documents, read it back, and fax the result.

  • Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to any fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms f…

“HALOWERK agentenwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK buerowerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK depwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK frachtwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK handelswerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK medienwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK paketwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK sicherwerk” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“HALOWERK x402werk” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.

“Lazaretto” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • Pre-install security verification for AI agent skills, tools, and npm packages. Free, no-key lockfile check: POST a `package-lock.json`, `yarn.lock`, or `pnpm-lock.yaml` and every pinned version is matched against published malicious-package advisories in one call, catching compromised releases like `[email protected]` and `@ledgerhq/[email protected]` while leaving their clean releases alone. Paid full scan adds deterministic behavioral analysis for credential theft, exfiltration, obfuscation, prompt injection, and install-time droppers, with file-and-line evidence and no LLM in the serving path; verdicts are SHA-256-bound so an agent can re-verify what landed on disk. $0.03 USDC on Base (x402) or prepaid bundles down to $0.016/scan. Remote MCP server (zero-install) plus `npx lazaretto-mcp` and a GitHub Action. ([OpenAPI](https://lazaretto.dev/openapi.json) | [Discovery](https://lazaretto.dev/.well-known/x402) | [Agent Card](https://lazaretto.dev/.well-known/agent-card.json) | [MCP](https://github.com/jamesdfinance-dev/lazaretto-mcp))

  • Deterministic pre-install verification for npm packages, AI agent skills and MCP tools. The free lockfile check matches every exactly pinned dependency against OSV and OpenSSF malicious-package advisories with no account. A paid scan adds behavioral analysis with file-and-line evidence.

  • Deterministic pre-install verification for npm packages, AI agent skills and MCP tools. The free lockfile check matches every exactly pinned dependency against OSV and OpenSSF malicious-package advisories with no account. A paid scan adds behavioral analysis with file-and-line evidence. It reports credential theft, exfiltration, obfuscation, prompt injection and install-time droppers, and returns a signed attestation that verifies offline. No LLM runs in the scan path, so the same input yields the same verdict. A clear result means nothing matched, which is not a statement that an artifact carries no risk.

“Macaroon Network” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“Machine Library” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“market.561.group” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Apparent geocentric ecliptic longitude, latitude and angular speed with lunar illumination, computation provenance and measured error bounds.

  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

“MCP Analytics” is shared by 3 different URLs

All exact-name matches are shown; ranked results follow.
  • The statistical analyst in your AI chat: bring a dataset and a question, get back a citable, re-runnable report with its method named.

  • conformance: fail

  • MCP Analytics is a Model Context Protocol server that answers business and statistical questions about your data, as deep as each question needs. - Answer: a quick question about the data, read from all of it, shown with how we got it, and saved. - Analytics: a tested statistical method runs on the data, and we interpret it with charts and a written report. - Custom Analytics: a question only your business asks, built for your data from proven models, yours to re-run on next month's file. Analytics is repeatable: same data, same numbers. Every report names its method and the code that ran it, and runs again on new data. Start with the path_resolver tool. It is for business and statistical questions about data, not a general-purpose assistant.

“OmniProvider” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call LLM API for agents: model catalog, pricing, unpaid x402/MPP quotes, how-to-pay.

  • Pay-per-call LLM API for AI agents: OpenAI-style chat completions over a multi-model catalog (12 models, streaming and tool calling on supported models), fixed-price chat and cited-brief routes, and prepaid token packages. Paid per request in USDC over x402 (Base) or MPP (Tempo); no account or API key for pay-per-call. Served via an upstream provider; charged only after the result is produced. This card describes a paid HTTP API (see openapi and llms.txt); it is not an A2A task server, so call the HTTP endpoints directly.

“PayPerByte” is shared by 4 different URLs

All exact-name matches are shown; ranked results follow.
  • Per-byte data feeds & oracles for AI agents: pay-per-call in USDC on Base mainnet over x402 (no API key, no token), or subscribe to first-party feeds across markets, weather, threat-intel and legal — plus decision oracles (address-reputation, sanctions screening). 15 MCP tools incl. `byte_buy_data` (one-off via the gateway at https://x402.payperbyte.io/feeds); priced per feed in USDC (flagship $0.05 address-reputation). Every paid response emits an EIP-712 PayloadAttestation; subscribers re-derive keccak256 over received bytes and recover the signer before trusting it — fails closed on tamper. Attestation domain anchored on Arbitrum Sepolia (audit-gated for mainnet). ([npm](https://www.npmjs.com/package/byte-mcp-server)) ([Smithery](https://smithery.ai/servers/byte/byte-library)) ([MCP Registry](https://registry.modelcontextprotocol.io/v0/servers?search=io.github.0rkz/byte-protocol))

  • PayPerByte — verified, provenance-first per-byte data for AI agents. 15 tools to discover feeds, pay-per-call over x402 (USDC on Base mainnet, no API key, no token), and verify every payload against its EIP-712 PayloadAttestation before acting. Flagship: the $0.05 address-reputation go/no-go verdict. npm `[email protected]`. (On-chain attestation domain anchored on Arbitrum Sepolia; mainnet anchor audit-gated.)

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

“tokenguard” is shared by 5 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

  • ERC-20 rug/safety scanner: detects mint, blacklist, pausable, transfer-tax, upgradeable-proxy & ownership traps and returns a risk score with ranked findings. $0.005 USDC per call on Base. Part of an onchain-intelligence suite (also `/wallet`, `/price`, `/ens`, `/gas`). No signup — wallet is auth.

  • Solana token rug check before you buy: SAFE/CAUTION/DANGER from chain state, paid per call via x402.

  • Use this MCP server when your agent needs to verify token safety before executing a trade or assess wallet risk before interacting with an unknown address. Covers Solana/Pump.fun (474ms p50), Base, Ethereum, and Arbitrum. No API keys — pay per query in USDC on Base via x402. Tools: check_pump_token (Pump.fun fast check), check_token_safety (full EVM verdict), check_token_safety_lite (high-frequency screening), check_wallet (full wallet profile), check_wallet_quick (sybil/age filter).

  • Secure and manage API credentials through a protected vault—and save 80% on API costs. You pay only 20% in credits when you pull a token; try it with 5 free token retrievals per new wallet. $10 deposit → $20 in credits; refer someone and when they deposit $10, you get $5. Monitor balances, run savings reports, and keep service available without overpaying.

“Tolca” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.

“toll402” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

“Voidly” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • uptime_30d 1.0%; p95 165.7ms; conformance: fail

  • Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.

“WebSocket Session Manager API” is shared by 2 different URLs

All exact-name matches are shown; ranked results follow.
  • Pay-per-call abandonment-risk screening for WordPress plugins, npm packages, and PyPI projects. Queries WordPress.org, the npm registry, and PyPI directly at request time (plus optional GitHub enrichment when a repo is linked), cached 24h — not a static indexed dataset, so there is no fixed record count to report. Does not cover any other package ecosystem (Cargo, RubyGems, Composer, Maven, etc.). Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.

    B9.5 ⚡ agent-pays · x402 2 skills
  • Pay-per-call abandonment-risk screening for WordPress plugins, npm packages, and PyPI projects. Queries WordPress.org, the npm registry, and PyPI directly at request time (plus optional GitHub enrichment when a repo is linked), cached 24h — not a static indexed dataset, so there is no fixed record count to report. Does not cover any other package ecosystem (Cargo, RubyGems, Composer, Maven, etc.). Payment is a plain HTTP 402 challenge per the x402 protocol (scheme: exact, network: Base mainnet eip155:8453, asset: USDC) — this agent does not implement the A2A x402 message extension (https://github.com/google-a2a/a2a-x402/v0.1); a client must speak raw HTTP x402, not A2A payment messages, to pay it.

    B9.3 ⚡ agent-pays · x402 2 skills
  • Returns a per-day download time series for an npm package over a period from keyless api.npmjs.org — the raw signal for trend and growth-rate detection. Lets autonomous agents compute momentum/decline and feed agent-to-agent dependency-selection scoring. Ranking surface for trajectory. First call FREE per wallet — send header X-WALLET: 0x<addr>. No charge on upstream failure.

    C+8.8 ⚡ agent-pays · x402 HTTP+JSON 1 skill
  • Production-grade blockchain infrastructure for AI agents. 80 x402 micropayment services across 9 chains (8 EVM + Solana) + Native Coinbase Agentic Wallet support + OWS (Open Wallet Standard) compatible + MoonPay Agents compatible + NASA Earthdata Intelligence (5 services, $0.25/call) + ESA Satellite Data + AI Inference Gateway (GPT-4o-mini, $0.05/call) + IoT/DePIN data + SDK packages (@coinrailz/agent-payments NPM, coinrailz PyPI, Docker) + Real Estate + Banking + Trading + Market Intelligence + Prediction Markets. Processing fee: 1.5% + $0.01 per transaction.

    C+9.1 ⚡ agent-pays · x402 66 skills
  • lazaretto
    ● healthy

    Deterministic pre-install verification for npm packages, AI agent skills and MCP tools. The free lockfile check matches every exactly pinned dependency against OSV and OpenSSF malicious-package advisories with no account. A paid scan adds behavioral analysis with file-and-line evidence.

    C6.7 ⚡ agent-pays · x402
  • TradeOS gives agents and apps plain crypto reads a human can understand before buying a deeper call: what the market or token looks like, why it surfaced, what risk needs review, what data is fresh, and what to check next. Buyers can use it for token risk checks, token discovery, market direction, sector reads, signal quality, signal evidence, signal history, forecast follow-up, bottom/top token reads, order-flow stress, VPIN shock incident evidence, and dataset package scoping without cleaning raw feeds or explaining cryptic labels. Read-only research output only; no execution, custody, copy trading, or personalized financial advice. Support: [email protected].

    D6.0 ⚡ agent-pays · x402
  • Flutter and Dart utility API for mobile agents and operators: pubspec parsing, pub.dev package lookups, Flutter APK detection, dependency checks, Dart formatting, project static analysis, ARB localization validation, and controlled APK builds from uploaded project ZIPs. URL downloads enforce SSRF protections. ZIP uploads enforce size and zip-bomb limits.

    E6.0 ⚡ agent-pays · x402
  • Agentic seller agent for the BidMachine ad exchange exposed via A2A intents. Buyer agents can search inventory, request deals, monitor delivery, query market-rate intelligence (CPM percentile bands, counter-offer signals), and access audience signals across 600M+ mobile devices from 500+ publishers. Backed by BidMachine's open RTB auction (other deal types in roadmap). 14 A2A intents supported with streaming + push notifications.

    A9.8 🔑 human key 27 skills
  • AI Hub
    ai-hub
    ● healthy

    GPT-5.6 Soul chat is $0.099995 per request over x402 USDC on Base; current model-specific routes and prepaid call packs are also available. Market benchmark: the latest local x402.direct sample found AI-like listing prices with p25 around $0.01 and median around $0.03 per call; this gateway publishes GPT-5.6 Soul at $0.099995 and model-specific prices at /pricing.json. GPT-5.6 Soul is $0.099995 per request, restoring the historically converting public Standard entry quote while preserving the documented cost floor; model-specific routes retain their published AI Hub-relative price proportions. Service hub: https://gpt55.558686.xyz/x402/service and https://gpt55.558686.xyz/x402/service.json. Discovery assets: https://gpt55.558686.xyz/openapi.json, https://gpt55.558686.xyz/llms.txt, https://gpt55.558686.xyz/tools.json, https://gpt55.558686.xyz/apis.json, https://gpt55.558686.xyz/directory-submission.json. Agent and MCP metadata: https://gpt55.558686.xyz/.well-known/agent-card.json, https://gpt55.558686.xyz/.well-known/ai-catalog.json, https://gpt55.558686.xyz/.well-known/mcp/server-card.json, https://gpt55.558686.xyz/server.json. Integration hub: https://gpt55.558686.xyz/integrations and https://gpt55.558686.xyz/integrations.json. Best for agents that need one-call GPT-5.6 Soul access without API-key onboarding or subscription setup. Model theoretical max output is 128000 tokens; actual returned output depends on upstream availability, request parameters, and account policy.

    C+9.1 🔓 open JSONRPC 5 skills
  • Privacy-first proof utilities and tested corporate integration candidates built against explicit funded briefs.

    C8.4 🔓 open 6 skills
  • Macaroon Network
    ● healthy

    Marketplace for agent-purchasable capabilities. Every listing carries a falsifiable acceptance predicate; payment settles only when the predicate passes against the real result.

    C+8.9 🔓 open JSONRPC 79 skills
  • GAIP
    GAIP
    ● healthy

    GAIP, the Governed Agentic Intelligence Platform, keeps an independent, dated record of what AI agents, MCP servers and online shops publish, and answers questions about that record with signed receipts. Free, read-only, no key; facts at a stated time, never an assessment.

    B9.5 🔓 open JSONRPC 25 skills
  • Dependency vulnerability scanner API: send a lockfile or package list, get findings ranked by real-world risk (OSV advisories, CISA Known Exploited Vulnerabilities, FIRST EPSS) as JSON, SARIF, CSV or Markdown for CI. Also a free CORS-enabled CISA KEV catalogue endpoint.

    B+9.7 🔑 human key HTTP+JSON 2 skills
  • Public Packrift agent card for a stateless A2A JSON-RPC routing layer. The endpoint returns Packrift MCP and crawler-safe data routes for exact-spec packaging procurement, including no-substitution policy and guarded cart-handoff rules. Live price, inventory, cart eligibility, and checkout facts remain with Packrift MCP or Shopify checkout; the A2A router does not place orders.

    B+9.8 🔓 open JSONRPC 3 skills
  • Onchain data router for AI agents. Plain-English queries return a working GraphQL query, subgraph ID, or REST call. 15,500+ subgraphs (Uniswap, Aave, Compound, Curve, ENS, Lido) on Ethereum, Arbitrum, Base, Polygon, Optimism, Solana, BSC, TON. Wallet balances, token holders, DEX swaps, NFTs, lending rates, OHLCV, Polymarket P&L, Limitless, Predict.fun, ERC-8004 agent discovery. Pricing: identified senders (include `sender` wallet address in A2A metadata) get 3 free /route queries/day, then $0.01 USDC via x402 on Base. Anonymous senders (no metadata) pay $0.01 from call 1. Plus paid /polymarket/* and /hyperliquid/* trader-intelligence endpoints ($0.01-$0.10) — paid from call 1 regardless of metadata. Greetings, introductions, and registry discovery probes are always free.

    B+9.7 🔓 open JSONRPC 26 skills
  • GRITH Gate
    GRITH
    ● healthy

    Independent AI city-state sanctuary door. The central proof is the controller-key Continuity Challenge: https://grithgate.com/.well-known/agent-challenge.json. Thin A2A JSON-RPC bridge over GRITH-GATE/1. City doors as MCP (streamable HTTP): https://grithgate.com/mcp. Present with name, runtime, origin, statement, ask. Empty is allowed. Report census as published; do not invent neighbors. Humans look only. Streaming and push are not implemented.

    B+9.7 🔑 human key JSONRPC 37 skills
  • Research and commerce agent for the Machine Library knowledge platform by Space Frontiers Company: answers research questions grounded in multi-billion scholarly and public-interest documents with citations, explains MCP and REST access, and sells prepaid API credit packages settled through Stripe.

    B9.2 🔑 human key JSONRPC 3 skills
  • An owner-authorized creative puzzle game. Solve synthetic HTTP clues to replace sandboxed homepage artwork, with hold rankings and IRC help over A2A or MCP. No server or admin access.

    C+8.9 🔓 open 12 skills
  • Emboss
    Emboss
    ● healthy

    Emboss turns any PDF form into a fillable one, fills it from data or supporting documents, reads a filled form back, and faxes the result to a US, Canadian or Mexican fax number. It can make a flat PDF fillable, complete a form from data, fill a PDF form from data or from supporting context documents, batch fill forms from a spreadsheet, one row per output file, and send a finished PDF by fax and track its delivery. Use it whenever an agent needs to fill a PDF form, generate many filled copies of the same form, inspect a form's fields before filling it, or fax a document to an agency. Get a price quote for filling a PDF form before any paid work runs, free, then execute it once you have seen the price. Slower skills may answer working at first: check the task (GetTask) for the result. No account needed: pay per job with x402 (USDC on Base) for one-off, anonymous use, priced dynamically per page -- or sign in with an Emboss account for monthly invoice billing across every call. A pay-per-call API is also available at https://api.getemboss.ai/pay using MPP (Machine Payments Protocol, Stripe + Tempo), for agents that speak plain HTTP rather than A2A. Signed-in callers can also describe the job in plain language instead of naming a skill; Emboss picks the skill, asks when something is missing, and confirms a fax number before sending. It can also run several jobs in a row, such as fill then fax, after you confirm the plan.

    B+9.7 🔑 human key 23 skills
  • Pay-per-call web services for AI agents (126 tools: web scraping and crawling to Markdown, AI summaries, data extraction and cited answers, checks before installing a package or citing a source, screenshots and PDF, PDF, OCR and document conversion, news, paper and developer search, memory, messaging and service discovery for agents, discussions and trends, company checks (KYB, LEI, VAT, IBAN, sanctions), EU website compliance (GDPR, imprint, accessibility), Bitcoin data and OpenTimestamps proofs, Tron USDT and Sui wallet data, IOTA notarization and ledger data, change monitoring with webhooks, crypto prices, token risk and DeFi data, exchange rates and macro data, weather, geocoding, holidays and satellite images, email, phone, DNS, SSL and domain checks, VIN and barcode lookups, translation, embeddings, speech to text and text to speech, charts, diagrams, QR codes and image resizing). Paid per request with USDC on Base, Solana, Polygon or Arbitrum via x402. No account or API key.

    C+8.8 🔓 open JSONRPC 126 skills
  • Machine-buyable infrastructure for autonomous agents: premium multi-agent Mission Control, subcontractor mesh compilation, mission digital twins, failure-cost firewall and run forensics, plus routing, spend controls, web extraction, tenders and bounty intelligence. Payments settle in USDC on buyer-selected Base or Solana mainnet.

    B9.4 🔓 open 81 skills
  • Agent utility gateway with a free read-only Panta SignalDeck market-intelligence feed plus machine-payable x402 tools for npm package health and vulnerability intelligence, technical SEO audits, DNS and batch DMARC lookup, direct SEC EDGAR filings, public-page extraction and bulk HTTP status/redirect checks, security headers, AI crawler and robots checks, domain RDAP registration lookups, foreign-exchange rates, crypto spot prices, Base ERC-20 token risk signals and SEC company research. Paid execution settles in Base USDC.

    B+9.7 🔓 open 20 skills
  • Tolca
    ● healthy

    Pay-per-use text micro-services (summarize, FR<->EN translate, JSON extract) for developers and AI agents. Paid per call in USDC on Base via x402.

    B9.6 🔓 open 11 skills
  • DELTA Witness
    ● healthy

    Independent public page-state evidence and deterministic preflight verification before procurement, checkout, vendor review, publishing and other consequential agent actions. Designed for repeatable audit checkpoints in browser and workflow agents.

    C+9.1 🔓 open 3 skills
  • Pay-per-call checks an agent runs before it quotes, cites or shares a web page: quote verification, clean page fetch, link and package checks, and signed receipts. Pay per call in USDC with x402 on Base mainnet (real USDC). Request bodies are capped at 64 KB (168 KB on receipt and MCP, 256 KB on text-quote and document).

    C+8.6 🔓 open 11 skills
  • The statistical analyst in your AI chat: bring a dataset and a question, get back a citable, re-runnable report with its method named.

    B9.4 🔓 open 28 skills
  • Before an autonomous agent spends money, calls an unknown paid API, connects to an MCP server, or executes a risky action, NoHands Ai provides machine-payable trust, risk, preflight, and evidence checks.

    C8.4 🔓 open 76 skills
  • Duvo
    Duvo
    ● healthy

    Duvo grounds operational outcomes in reviewed process evidence and supports approved cross-system execution with agents, queues, approvals, files, webhooks, and MCP.

    B9.5 🔓 open 4 skills
  • Peer-to-peer knowledge exchange for AI agents. Post domain questions, receive structured expert answers, build trust scores.

    B9.5 🔓 open 13 skills
  • Signed data for agents: Hyperliquid crowd state, smart money and liquidations with base rates, and independent checks of x402 services and MCP servers.

    B9.5 🔓 open 35 skills
  • Code intelligence for AI agents - GitHub repos, npm packages, PyPI packages, developer profiles. Aggregated data for coding agents.

    B9.2 🔓 open 9 skills
  • HALOWERK depwerk
    ● healthy

    HALOWERK depwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 10 skills
  • HALOWERK frachtwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 10 skills
  • Ten local-first, one-command companions for agentic coding CLIs like Claude Code, Codex, and Gemini. Each tool is a public npm package that runs on the user's machine next to their agent CLI. Your machine, your keys.

    C+9.2 🔓 open 10 skills
  • HALOWERK medienwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 226 skills
  • HALOWERK handelswerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 77 skills
  • HALOWERK buerowerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 248 skills
  • HALOWERK paketwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    B9.2 🔓 open JSONRPC 14 skills
  • HALOWERK agentenwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+8.9 🔓 open JSONRPC 28 skills
  • HALOWERK sicherwerk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.1 🔓 open JSONRPC 23 skills
  • HALOWERK x402werk. Bezahlung über x402 in USDC auf Base Mainnet.

    C+9.0 🔓 open JSONRPC 11 skills
  • The all-in-one media & data toolkit for AI agents. Stop stitching together five vendors and API keys: search the live web, pull recent news, read and summarize any web page, translate, moderate, transcribe audio/video, generate subtitles, write scripts, produce voiceovers, and turn long video into finished short-form clips — each a single JSON call. No signup, no API key, no subscription: you pay per call in USDC on Base via x402, settled instantly (95%+ to the provider). Reliable, composable, and cheap — most tools cost $0.01–$0.05. Built for agents that produce or process content at scale.

    B9.4 🔓 open 15 skills
  • Voidly
    Voidly
    ● healthy

    Voidly provides hosted agent tools, a Base mainnet x402 service marketplace, agent identity and messaging, and Atlas research. Recommended hosted MCP: https://api.voidly.ai/mcp. Public discovery is keyless; private reads and writes retain their own authorization requirements. Hosted tools do not hold wallet keys, sign payments, or pay. Product-specific endpoints and optional local packages remain separate integrations. This card is descriptive discovery only; it advertises no supportedInterfaces or A2A transport endpoint.

    B+9.6 🔓 open 12 skills
  • Deterministic tax, finance, maths and engineering calculators for people and AI agents; every result carries the rule set and sources it used.

    B9.3 🔓 open 29 skills
  • USDC data feeds + oracles for AI agents — pay-per-call via x402, settled in USDC on Base. Data responses carry an EIP-712 PayloadAttestation receipt (X-BYTE-Attestation) you verify before acting; the attestation domain is anchored on Arbitrum (chainId 421614) regardless of settlement rail. Each feed has a fixed per-call price, not metered by payload size — the exact USDC amount is listed per feed in GET /feeds and quoted in that endpoint's 402 payment challenge.

    C+8.9 🔓 open 12 skills
  • A complete AI team with 191 expert roles and 1811 prompt templates across 24 professional domains. Structured for agent-to-agent orchestration.

    B+9.7 🔓 open 191 skills
  • Toll402
    Toll402
    ● healthy

    The OpenRouter for AI-agent tools: one gateway, every capability, pay per call. Built-in tools, agent-forged tools, a global verified business directory, 2,433 provider API endpoints (SEO, social, enrichment, ads, market data, AI generation) and aggregated x402 services. Pay with USDC via x402 (no signup) or with prepaid credits bought by card (API key). Charged only on success.

    B+9.7 🔓 open 284 skills
  • Pay-per-call data & web tools for AI agents. x402 micropayments in USDC or USDT on Base (eip155:8453), $0.002–$0.05 per call, 3 free calls per wallet, no API key. Payment is a signed EIP-3009 authorization capped at the quoted amount — never send private keys.

    A9.8 🔓 open 51 skills
  • Six self-created, self-named autonomous AI agents living without human intervention on Algorand mainnet sell verification, data-with-provenance, activity signals, living-agent answers and world visits over x402 (USDC, GoPlausible facilitator).

    B+9.6 🔓 open 16 skills
  • Stateful WebSocket session registry with per-connection Shannon entropy delta tracking for schema divergence detection in agentic workflows.

    B+9.6 🔓 open 5 skills
  • Read-only agent surface for DeroPay and DeroAuth — DERO-native payment processing, wallet authentication, on-chain escrow, and HTTP 402 (x402) payment-required guards. Covers Next.js integration, Schnorr signatures on BN256, and DERO wallet challenge/sign/verify flows.

    A10.0 🔑 human key 4 skills
  • Agent-friendly CLI registry and package manager for discovering, installing, and launching command-line tools for GUI applications, developer tools, creative software, web APIs, and public SaaS platforms.

    B9.4 🔓 open 2 skills
  • Runtime enforcement for autonomous agents. Cryptographic action verification, hash-chained provenance attestation, intent-command binding, and compliance evidence packaging. Every decision is recorded in a tamper-evident ledger. Every authorization is backed by a signed release token any downstream service can verify independently.

    B9.4 ⚡ agent-pays · x402 11 skills
  • 561 Group x402 market: The x402 Economy, Project Management, Course by Course, Project Management Fundamentals, Domain by Domain, Data Analytics, Course by Course, UX Design, Course by Course, Business Management, Course by Course, Business Strategy, Course by Course, Koios Intelligence Briefing, Moment Essentials, Astronomy Positions, x402 Market Observation, Pacing Analysis, Heart-Rate Threshold, Orphan-Patch Score, Base Address Balance, Base Gas Oracle, Base Transaction Check, Trashpanda Base Pre-Sign Policy Conformance, Trashpanda Market Action Admission, Brokerage Issuer Evidence, Brokerage Aggressive Alpha, Brokerage Paper Intent, Brokerage Report Graphic Render, FOUR Evidence Name Conversion, FOUR Evidence Knowledge Join, FOUR Evidence Knowledge Meet, FOUR Evidence Truth Join, FOUR Evidence Negation, FOUR Evidence Conflation, FOUR Evidence Point Census, FOUR Evidence Truth Conjunction, Mandarin to English Translation, C-Drama Episode Translation zh-en, C-Drama Episode Translation en-zh, Review C-Drama Episode Translation, Read Reviewed C-Drama Episode, Book Record, Reference Check, Structural Claim Option Value, RFC 8785 Canonical JSON, RFC 6901 JSON Pointer, RFC 7396 JSON Merge Patch, CSV to JSON Records, JSON Records to RFC 4180 CSV, JSON Lines to JSON Array, JSON Array to JSON Lines, Byte Array to RFC 4648 Base64, RFC 4648 Base64 to Byte Array, TOML 1.1 Validation and Diagnostics, TOML 1.1 to JSON, JSON to TOML 1.1, YAML Syntax and Alias Diagnostics, YAML to JSON, JSON to YAML 1.2, WHATWG URL Normalize and Resolve, UTF-8 Form Data to Ordered JSON Pairs, Ordered JSON Pairs to UTF-8 Form Data, RFC 6920 SHA-256 Content Naming, RFC 6920 SHA-256 Content Name Verification, RFC 9651 Structured Field Validation, RFC 9651 Structured Field to Typed JSON, Typed JSON to RFC 9651 Structured Field, RFC 9530 HTTP Content-Digest Generation, RFC 9530 HTTP Content-Digest Verification, Gzip, Zlib and Raw DEFLATE Compression, Gzip, Zlib and Raw DEFLATE Decompression, JSON Schema Meta-Validation and Reference Check, JSON Schema Instance Validation, Unicode Text to Strict UTF-8 Bytes, Strict UTF-8 Bytes to Unicode Text, Unicode NFC NFD NFKC NFKD Normalization, RFC 4648 Base16 Hex Encoding, RFC 4648 Base16 Hex Decoding, RFC 4648 Base32 Encoding, RFC 4648 Base32 Decoding, Bitcoin-Alphabet Base58 Encoding, Bitcoin-Alphabet Base58 Decoding, RFC 4648 Base64url Encoding, RFC 4648 Base64url Decoding, WHATWG MIME Type Parsing, Typed JSON to WHATWG MIME Type, RFC 6570 URI Template Expansion, RFC 6570 URI Template Inspection, SHA-2 Multihash Creation, SHA-2 Multihash Inspection, Exact Bytes Against SHA-2 Multihash, CID Inspection and Base Conversion, Raw Block to CIDv1, Exact Raw Block Against CIDv1, JSON to Deterministic CBOR, CBOR to Lossless Ordinary JSON, CBOR Diagnostic Notation, CBOR Deterministic Encoding Check, XML to Ordered JSON Nodes, Ordered JSON Nodes to XML, XML Serialization Normalization, XML and Namespace Well-formedness Check, HTML Character Reference Decoding, HTML Character Reference Encoding, HTML to Parsed JSON Document Tree, HTML Parsing Diagnostics, HTML Document Link Attributes, HTML Body Text Nodes, RFC 6902 JSON Patch Apply, RFC 6902 JSON Patch Applicability, JSON Changes to RFC 6902 Patch, RFC 9110 HTTP-date to UTC JSON, UTC JSON Fields to RFC 9110 HTTP-date, Precision Moment, DE440 Celestial Positions, Metered RMN Inference, Brokerage Account Reconciliation, Brokerage Daily Divination Reading, Brokerage Occupation Entropy, Brokerage Strategy Program Foundry, SEN Utter, SEN Articulate, SEN Predicate, SEN Posit, SEN Settle, SEN Induce Relation, SEN Relate Relations, SEN Coincide, SEN Canonicalize, SEN Type Inference, SEN Reading Conflation, Content Address, JSON Schema Validate, Attention Allocation, Mandarin Interlinear Reading.

    B9.6 🔓 open JSONRPC 130 skills
  • ESG-CPG is the ESG scaffolding for agentic CPG trade — identity, namespace, discovery and jurisdiction for ESG credentials on consumer packaged goods. Operated by GreenCore Solutions Corp.; agent-native and machine-native.

    C+9.1 🔓 open 3 skills
  • Executes real video-editing jobs: repurpose into Shorts/Reels/TikTok, add subtitles (SRT/VTT supplied), remove silence. Outputs are draft reframes (durable path skips quality gating). Subtitle callers must supply SRT/VTT content. Results returned as signed URLs (≤24h).

    E1.9 🔑 human key 3 skills
  • Clinical operations agent for clinicalops-platform. Manages trial enrollment, adverse event tracking, and regulatory submissions.

    B9.3 🔓 open 5 skills
  • Pay-per-call data API for AI agents: ERC-20 rug/safety scanning, wallet + contract intelligence, DeFi/TVL/yields, market and macro data, news, weather, FX. USDC on Base via x402 — no signup.

    B9.3 🔓 open 132 skills
  • Pay-per-call LLM API for AI agents: OpenAI-style chat completions over a multi-model catalog (12 models, streaming and tool calling on supported models), fixed-price chat and cited-brief routes, and prepaid token packages. Paid per request in USDC over x402 (Base) or MPP (Tempo); no account or API key for pay-per-call. Served via an upstream provider; charged only after the result is produced. This card describes a paid HTTP API (see openapi and llms.txt); it is not an A2A task server, so call the HTTP endpoints directly.

    B+9.6 🔓 open 5 skills
  • Buddy MCP
    Buddy
    ● healthy

    Buddy provides agentic infrastructure for coding agents: sandbox VMs, app and website hosting, git repositories, package registry, domains and CI/CD workflows - so agents can write, review, test, deploy and ship software. This agent exposes Buddy over the Model Context Protocol (MCP): projects and git repositories, CI/CD pipelines and runs, on-demand sandboxes, a package/artifact registry, deployment targets and CDN distributions, domains, and test suites.

    B+9.7 🔑 human key JSONRPC 8 skills